Bug 466269 - Policy Kit Password Dialog disables screensaver
Policy Kit Password Dialog disables screensaver
Product: Fedora
Classification: Fedora
Component: PolicyKit-gnome (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-09 10:46 EDT by Máirín Duffy
Modified: 2013-03-05 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-10-09 10:46:34 EDT
Description of problem:

I was at a conference trying to install a new package someone told me I should try. I downloaded the package and opened it; PolicyKit prompted me for my root password. Although I have sudo I could not remember my root password. Then, it was time for a session to start. I made 5 or 6 attempts at my password before I gave up. I left the password prompt dialog up as I assumed the screensaver would pop up in 30 seconds or so since that is how I set it.

Come back to my laptop 3 hours later, and there is no screensaver. It's a little worrisome to have your unattended laptop completely unlocked sitting in a room at a conference :) This is a security problem. My mistake for not explicitly locking the screen, but at the same I don't think it is an unreasonable expectation to expect the screensaver to eventually come up.

I think probably policy kit took a keyboard grab so that the dialog doesn't pop under other windows and inexplicably lock keyboard input elsewhere. This makes sense. However it does not make sense to wait on someone to enter a password for three hours; at least, I cannot think of any scenario in which this would make sense.

My suggestion would be for the keyboard grab that PolicyKit takes to time out after some reasonable interval - 1 minute seems sane but even better would be to get this time interval value from the gnome screensaver time setting.
Comment 1 Máirín Duffy 2008-10-09 10:47:28 EDT
Comment 2 Bug Zapper 2009-06-09 22:55:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-14 10:05:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.